{% extends "base.html" %}
{% block content %}
<script src="https://code.jquery.com/jquery-3.2.1.min.js"></script>

<script type="text/javascript">
    function addDate()
    {
    var telnum = parseInt($("div#date").find("div:last").data("id")) + 1;

    $("div#date").append("<div data-id = \"" + telnum + "date\">Дата отправления: <input type=\"date\" name=\"" + telnum + "date\"></div></br>")

    }
</script>

    {% if id > -1 %}
        <form action="{{url_for('edittour', id=id)}}" method="post">
            Наименование тура: <input type="text" size="50" name="name" value="{{info_tour['name_tour']}}"></br></br>

            <div id="date">
                <div data-id="1date">
                    Дата отправления: <input type="date" name="1date" value="{{ info_tour['date'] }}">
                </div></br>
            </div>
            <input type="button" onclick="addDate();" value="Добавить дату"><br><br>
            Продолжительность тура(дней): <input type="number" name="dur" value="{{info_tour['duration']}}"></br></br>
            Туроператор:
            <select name="tourOp">
            {%for c in tour_op%}
                {% if c['name'] == info_tour['operator'] %}
                    <option selected value="{{c['id']}}">{{c['name']}}</option>
                {% else %}
                    <option value="{{c['id']}}">{{c['name']}}</option>
                {% endif %}
            {%endfor%}
            </select></br></br>

            Страна:
            <select name="country">
            {%for c in country%}
                {% if c['name'] == info_tour['country'] %}
                    <option selected value="{{c['id']}}">{{c['name']}}</option>
                {% else %}
                    <option value="{{c['id']}}">{{c['name']}}</option>
                {% endif %}
            {%endfor%}
            </select></br></br>
            Город:
            <select name="city">
            {%for c in city%}
                {% if c['name'] == info_tour['city'] %}
                    <option selected value="{{c['id_city']}}">{{c['name']}}</option>
                {% else %}
                    <option value="{{c['id_city']}}">{{c['name']}}</option>
                {% endif %}
            {%endfor%}
            </select></br></br>
            Отель:
            <select name="hotel">
            {%for h in hotel%}
                {% if h['name'] == info_tour['hotel'] %}
                    <option selected value="{{h[0]}}">{{h[1]}}</option>
                {% else %}
                    <option value="{{h[0]}}">{{h[1]}}</option>
                {% endif %}
            {%endfor%}
            </select></br></br>
            Цена трансфера: <input type="number" size="10" name="price_trans" value="{{info_tour[5]}}"></br></br>
            Описание тура: </br>
            <textarea name="desc" cols="50" rows="5">{{info_tour[3]}}</textarea></br></br>
            <input type="submit" value="Сохранить">
        </form>
    {% else %}
        {% if id == -2 %}
            <h2>Тур добавлен</h2>
        {% endif %}
        <form action="/addTour" method="post">
            Наименование тура: <input type="text" size="50" name="name"></br></br>

            <div id="date">

                <div data-id="1date">

                Дата отправления:    <input type="date" name="1date">
                </div></br>
            </div>
            <input type="button" onclick="addDate();" value="Добавить дату"></br></br>
            Продолжительность тура(дней): <input type="number" name="dur"></br></br>
            Туроператор:
            <select name="tourOp">
            {%for c in tour_op%}
                <option value="{{c[0]}}">{{c[1]}}</option>
            {%endfor%}
            </select></br></br>

            Страна:
            <select name="country">
            {%for c in country%}
                <option value="{{c[0]}}">{{c[1]}}</option>
            {%endfor%}
            </select></br></br>
            Город:
            <select name="city">
            {%for c in city%}
                <option value="{{c[0]}}">{{c[1]}}</option>
            {%endfor%}
            </select></br></br>
            Описание тура: </br>
            <textarea name="desc" cols="50" rows="5"></textarea></br></br>
            <input type="submit" value="Сохранить">
        </form>
    {% endif %}
{% endblock %}